;************************************************************
; File name: vector.asm
; Interrupt Vector declarations
; This section contains the vectors for various interrupts in
; the 240x. Unused interrupts are shown to branch
; to a "phantom" interrupt service routine which disables the
; watchdog and loops on itself. Users should replace the label
; PHANTOM with the label of their interrupt subroutines in case
; these interrupts are used.
;************************************************************
	.title	"vectors.asm"
	.ref	_c_int0,PHANTOM,GISR1,GISR2,GISR3,GISR4,GISR5,GISR6
	.sect	"vectors"   
	
RSVECT 		B _c_int0 ; Reset Vector
INT1 		B GISR1   ; Interrupt Level 1
INT2 		B GISR2   ; Interrupt Level 2
INT3 		B GISR3   ; Interrupt Level 3
INT4 		B GISR4   ; Interrupt Level 4
INT5 		B GISR5   ; Interrupt Level 5
INT6 		B GISR6   ; Interrupt Level 6
RESERVED 	B PHANTOM ; Reserved
SW_INT8 	B PHANTOM ; Software Interrupt
SW_INT9 	B PHANTOM ; Software Interrupt
SW_INT10 	B PHANTOM ; Software Interrupt
SW_INT11 	B PHANTOM ; Software Interrupt
SW_INT12 	B PHANTOM ; Software Interrupt
SW_INT13 	B PHANTOM ; Software Interrupt
SW_INT14 	B PHANTOM ; Software Interrupt
SW_INT15 	B PHANTOM ; Software Interrupt
SW_INT16 	B PHANTOM ; Software Interrupt
TRAP 		B PHANTOM ; Trap vector
NMI 		B NMI ; Non-maskable Interrupt
EMU_TRAP 	B PHANTOM ; Emulator Trap
SW_INT20 	B PHANTOM ; Software Interrupt
SW_INT21 	B PHANTOM ; Software Interrupt
SW_INT22 	B PHANTOM ; Software Interrupt
SW_INT23 	B PHANTOM ; Software Interrupt
SW_INT24 	B PHANTOM ; Software Interrupt
SW_INT25 	B PHANTOM ; Software Interrupt
SW_INT26 	B PHANTOM ; Software Interrupt
SW_INT27 	B PHANTOM ; Software Interrupt
SW_INT28 	B PHANTOM ; Software Interrupt
SW_INT29 	B PHANTOM ; Software Interrupt
SW_INT30 	B PHANTOM ; Software Interrupt
SW_INT31 	B PHANTOM ; Software Interrupt
